Bug 2117654 - ipset-translate does not work with IPv6 sets - please add upstream patch
Summary: ipset-translate does not work with IPv6 sets - please add upstream patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipset
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Garver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-11 14:13 UTC by Quentin Armitage
Modified: 2022-09-14 04:04 UTC (History)
4 users (show)

Fixed In Version: ipset-7.15-5.fc38 ipset-7.15-5.fc37
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-23 07:21:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Quentin Armitage 2022-08-11 14:13:38 UTC
Description of problem:
ipset-translate fails on ipv6 sets

Version-Release number of selected component (if applicable):
7.15

How reproducible:
Always

Steps to Reproduce:
1. Have IPv6 ipsets with IPv6 addresses
2. Run ipset list >/tmp/ipset.lst
3. Run ipset-translate restore </tmp/ipset.lst

Actual results:
ipset v7.15: Error in line 33712: Syntax error: cannot parse ff02::: resolving to IPv4 address failed

Expected results:
The translation is successful

Additional info:
Please add a patch with upstream commit http://git.netfilter.org/ipset/commit/?id=be7f6099feb7b5d34715b06f9308877cdcdc404a which resolves the issue.

Although this is files against Fedora36 it applies to all current version of Fedora.

Comment 1 Fedora Update System 2022-08-23 07:20:04 UTC
FEDORA-2022-4e8540facb has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4e8540facb

Comment 2 Fedora Update System 2022-08-23 07:21:12 UTC
FEDORA-2022-4e8540facb has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2022-08-23 07:41:10 UTC
FEDORA-2022-b831e8c890 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b831e8c890

Comment 4 Fedora Update System 2022-09-14 04:04:31 UTC
FEDORA-2022-b831e8c890 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.